{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing","properties":{"error":{"default":"BadRequest","type":"string"},"message":{"default":"Required arguments are missing in the request","type":"string"}},"type":"object"},"CompanyRatingResult":{"description":"Company rating","properties":{"commentary":{"type":"string"},"companyId":{"description":"Company identifier","type":"string"},"creditLimit":{"type":"integer"},"currency":{"type":"string"},"rating":{"type":"integer"},"ratingText":{"type":"string"},"rejection":{"$ref":"#/components/schemas/CompanyRejection"},"riskPrognosis":{"type":"string"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"CompanyRejection":{"description":"Rating rejection","properties":{"causeOfReject":{"type":"string"},"rejectComment":{"type":"string"},"rejectText":{"type":"string"}},"type":"object"},"NotFound":{"description":"Requested resource could not be found","properties":{"error":{"default":"NotFound","type":"string"},"message":{"default":"Requested resource could not be found","type":"string"}},"type":"object"},"ResponseInfo":{"properties":{"hitCount":{"description":"Number of companyIds in response (companyIds that could be found)","type":"integer"},"noMatchIds":{"description":"Array of companyIds that was in request but could not be matched","items":{"type":"string"},"type":"array"},"requestCount":{"description":"Number of requested companyIds","type":"integer"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Creditworthiness\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company Rating","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/rating-icon-v3.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"parameters":[{"description":"identification for the company to lookup","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyRatingResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get rating from a single company"}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/rating/1.0"}],"x-category":"company","x-countries":["se"],"x-id":"CompanyRatingSe"}